Skip to content
AbloAblo
Esc
navigateopen⌘Jpreview

Delete a record

DELETE/v1/models/{model}/{id}
Path parameters
modelstringrequired
Any model in your pushed schema. `task` is the running example.
idstringrequired
Responses
200Commit receipt
objectstringrequired
clientTxIdstringrequired
serverTxIdstringrequired
successbooleanrequired
statusstringrequired
Allowed:confirmedrejected
lastSyncIdinteger
opsinteger
missingIdsstring[]
Ids of any UPDATE/DELETE that matched zero rows (omitted when nothing missed).
notificationsStaleNotification[]
Held-write advisories from `onStale: "notify"`.
Show properties
Array of StaleNotification
objectstring
modelstring
idstring
readAtinteger
observedSyncIdinteger
conflictingFieldsstring[]
currentValuesobject
writtenBystring
groupstring
errorobject
Show properties
codestring
messagestring
fieldstring
requiredCapabilityRequiredCapability
On a 403, the scope the caller was missing.
Show properties
canstring
modelstring
syncGroupstring
Request
curl -X DELETE "https://api.abloatai.com/api/v1/models/task/string"
Response
{
  "object": "commit_receipt",
  "clientTxId": "string",
  "serverTxId": "string",
  "success": true,
  "status": "confirmed",
  "lastSyncId": 0,
  "ops": 0,
  "missingIds": [
    "string"
  ],
  "notifications": [
    {
      "object": "stale_notification",
      "model": "string",
      "id": "string",
      "readAt": 0,
      "observedSyncId": 0,
      "conflictingFields": [
        "string"
      ],
      "currentValues": {},
      "writtenBy": "string",
      "group": "string"
    }
  ],
  "error": {
    "code": "string",
    "message": "string",
    "field": "string",
    "requiredCapability": {
      "can": "string",
      "model": "string",
      "syncGroup": "string"
    }
  }
}